%define major_version 1.1
%define minor_version 7

Name: 		idm-console-framework
Version: 	%{major_version}.%{minor_version}
Release: 	%mkrel 2
Summary: 	Identity Management Console Framework
Group: 		System/Libraries
License: 	LGPLv2
URL: 		http://port389.org
Source: 	http://port389.org/sources/%{name}-%{version}.tar.bz2
Requires: 	ldapjdk
Requires: 	jss >= 4.2
# Urge use of OpenJDK for runtime
Requires: 	java >= 1:1.6.0
BuildRequires: 	java-devel >= 1:1.6.0
BuildRequires:	ant >= 1.6.2
BuildRequires: 	ldapjdk
BuildRequires: 	jss >=  4.2 
BuildArch: 	noarch

%description
A Java Management Console framework used for remote server management.

%prep
%setup -q

%build
%{ant} \
    -Dlib.dir=%{_libdir} \
    -Djss.local.location=%{_libdir}/java \
    -Dbuilt.dir=`pwd`/built \
    -Dclassdest=%{_javadir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/release/jars/idm-console-* $RPM_BUILD_ROOT%{_javadir}

# create symlinks
pushd $RPM_BUILD_ROOT%{_javadir}
ln -s idm-console-base-%{version}.jar idm-console-base-%{major_version}.jar
ln -s idm-console-base-%{version}.jar idm-console-base.jar
ln -s idm-console-mcc-%{version}.jar idm-console-mcc-%{major_version}.jar
ln -s idm-console-mcc-%{version}.jar idm-console-mcc.jar
ln -s idm-console-mcc-%{version}_en.jar idm-console-mcc-%{major_version}_en.jar
ln -s idm-console-mcc-%{version}_en.jar idm-console-mcc_en.jar
ln -s idm-console-nmclf-%{version}.jar idm-console-nmclf-%{major_version}.jar
ln -s idm-console-nmclf-%{version}.jar idm-console-nmclf.jar
ln -s idm-console-nmclf-%{version}_en.jar idm-console-nmclf-%{major_version}_en.jar
ln -s idm-console-nmclf-%{version}_en.jar idm-console-nmclf_en.jar
popd


%files
%doc LICENSE
%{_javadir}/idm-console-base-%{version}.jar
%{_javadir}/idm-console-base-%{major_version}.jar
%{_javadir}/idm-console-base.jar
%{_javadir}/idm-console-mcc-%{version}.jar
%{_javadir}/idm-console-mcc-%{major_version}.jar
%{_javadir}/idm-console-mcc.jar
%{_javadir}/idm-console-mcc-%{version}_en.jar
%{_javadir}/idm-console-mcc-%{major_version}_en.jar
%{_javadir}/idm-console-mcc_en.jar
%{_javadir}/idm-console-nmclf-%{version}.jar
%{_javadir}/idm-console-nmclf-%{major_version}.jar
%{_javadir}/idm-console-nmclf.jar
%{_javadir}/idm-console-nmclf-%{version}_en.jar
%{_javadir}/idm-console-nmclf-%{major_version}_en.jar
%{_javadir}/idm-console-nmclf_en.jar



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.7-2.mga3
+ Revision: 354254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 spuhler <spuhler> 1.1.7-1.mga3
+ Revision: 311351
- changed group to System/Libraries from System Environment/Libaries
- rearranged spec file
  added the path of jss4.jar for building
- imported package idm-console-framework

